Ticket #4082 (closed defect: invalid)

Opened 2 years ago

Last modified 2 years ago

Subshell warning pops up when mcedit is invoked by git

Reported by: lastique Owned by:
Priority: major Milestone:
Component: mcedit Version: 4.8.24
Keywords: Cc:
Blocked By: Blocking:
Branch state: no branch Votes for changeset:

Description

  1. Set mcedit as the default text editor by setting EDITOR environment variable.
  2. Start mc and navigate to a git repository.
  3. Make a commit (i.e. modify something and invoke git commit -a).

Observed result:

mcedit displays a warning saying "Subshell support will be disabled."

This warning pops up on every commit and is very annoying. It probably also pops up in contexts other than git.

Please, add an option to disable that warning or just remove it. Older mc releases did not display this warning.

Midnight Commander 4.8.24

Change History

comment:1 Changed 2 years ago by andrew_b

  • Status changed from new to closed
  • Version changed from master to 4.8.24
  • Resolution set to invalid
  • Milestone Future Releases deleted

#4056

Please use search before create tickets.

Note: See TracTickets for help on using tickets.